<?php
/*
Plugin Name: Default Blog
Plugin URI: http://sven-lehnert.de/
Description: Set up a default blog and let automatically copy default blog settings to all new blogs in Wordpress MU
Author: Sven Lehnert, Sven Wagener
Author URI: http://sven-lehnert.de
Version: 0.03.1
License: (Events: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html)
*/

include("admin.inc.php");
global $blog_id;

// Adding menue if WP main blog is active
if($blog_id == get_blog_option(SITE_ID_CURRENT_SITE,'defblog_id') || $blog_id == SITE_ID_CURRENT_SITE){
	add_action('admin_menu', 'add_blog_menue_page');
}
add_action('wp_dashboard_setup', 'initialise_blog');

// Add a new top-level menu 
function add_blog_menue_page() {
	add_submenu_page('wpmu-admin.php', 'Default Blog', 'Default Blog', 10, 'defaultblog', 'default_blog');
}

// Saving settings from admin form
function default_blog(){
	// Save Default Blog ID
	if (isset($_POST['defblog_submit'])) {
		$defblog_id = $_POST['defblog_id'];
		if(isset($defblog_id)){
			update_blog_option (SITE_ID_CURRENT_SITE,'defblog_id', $defblog_id, true);
			?> <div class="updated"><p>Default Blog ID Saved!</p></div> <?php
		}   	
	}
	$options ="";
	// Save Default Blog Options
	if (isset($_POST['submit'])) {
		$options = $_POST['options'];
	    	update_blog_option(SITE_ID_CURRENT_SITE,'global_blog_options', $options, true);
	    	?><div class="updated"><p>Options updatet!</p></div><?php
	}
	// Load the options page
	default_blog_options_page($options);
}

// Initializing new blog 
function initialise_blog(){
	$my_blog_id=$blog_id;
	$default_blog_id=get_blog_option(SITE_ID_CURRENT_SITE,'defblog_id');
	
	// Getting wp_options of default blog and updatung current blog
	if(get_option('dummy_blog_update')==""){
		$options=get_blog_option(SITE_ID_CURRENT_SITE,'global_blog_options');
		foreach($options AS $option){
			update_option($option,get_blog_option($default_blog_id,$option));
		}
		update_option('dummy_blog_update',true);
	}
}
?>